> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/leadattributes.md).

# LeadAttributes

Attributes for creating and updating a lead

```json
{
  "firstName": "",
  "lastName": "",
  "title": "",
  "phone": "",
  "mobile": "",
  "email": "",
  "linkedinUrl": "",
  "company": "",
  "street": "",
  "city": "",
  "state": "",
  "zip": "",
  "country": "",
  "website": "",
  "leadSourceId": "456123",
  "leadStatusId": "456123",
  "ownerUserId": "456123",
  "campaignCode": "",
  "groupId": "456123",
  "entityId": "456123",
  "accountTypeId": "456123",
  "industryId": "456123",
  "revenue": 123,
  "employees": 123,
  "description": "",
  "convertedAt": "2022-06-01T00:00:00Z",
  "ipAddress": "",
  "createdAt": "2022-06-01T00:00:00Z",
  "updatedAt": "2022-06-01T00:00:00Z"
}
```

| Name          | Type            | Description                                   |
| ------------- | --------------- | --------------------------------------------- |
| firstName     | String          | First name of the contact person              |
| lastName      | String          | Last name of the contact person               |
| title         | String          | Job title of the contact person               |
| phone         | String          | Phone number for the contact person           |
| mobile        | String          | Mobile number for the contact person          |
| email         | String          | Email address for the contact person          |
| linkedinUrl   | String          | Link to the contact's LinkedIn profile        |
| company       | String          | Company of the lead                           |
| street        | String          | Street address of the lead                    |
| city          | String          | City of the lead                              |
| state         | String          | State of the lead                             |
| zip           | String          | Zip/PostalCode for the lead                   |
| country       | String          | Country of the lead                           |
| website       | String          | Company website URL                           |
| leadSourceId  | ID              | Source of the lead                            |
| leadStatusId  | ID              | Status of the lead                            |
| ownerUserId   | ID              | Owner of the lead                             |
| campaignCode  | String          | Campaign code                                 |
| groupId       | ID              | Group that the lead belongs to                |
| entityId      | ID              | The entity this lead belongs to               |
| accountTypeId | ID              | Type of account                               |
| industryId    | ID              | Industry of the lead                          |
| revenue       | Int             | Annual revenue of the lead                    |
| employees     | Int             | Number of employees                           |
| description   | String          | Description of the lead                       |
| convertedAt   | ISO8601DateTime | Datetime the lead was converted to an account |
| ipAddress     | String          | Remote IP address of the lead                 |
| createdAt     | ISO8601DateTime | Datetime the lead was created                 |
| updatedAt     | ISO8601DateTime | Datetime the lead was last updated            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/leadattributes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
